/* import Poppins Font From Google fonts */
@import url('https://fonts.googleapis.com/css?family=Poppins');

/* Remove all Extra margin and Paddings from Webpage*/

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    height: 100vh;
    background: #7aa5D2;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Poppins', 'Arial', sans-serif;
    font-weight: 600;
    flex-direction: column;
}

.container {
    margin: 2rem 0;
    width: 22rem;
    height: 35rem;
    background: #E8E8E8;
    border-radius: 1rem;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.25);
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.screen_wrap {
    margin: 1rem 0 0 0;
    width: 18rem;
    height: 9rem;
    border-radius: 0.5rem;
    background: #E8E8E8;
    box-shadow: 6px 6px 12px #cfcfce, -6px - 6px 12px #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.logo img{
    display: flex;
    width: 50px;
    padding-bottom: 10px; 
}

.screen_container {
    width: 17rem;
    height: 5rem;
    border-radius: 0.25rem;
    background: #BBBFCA;
    box-shadow: inset 7px 7px 15px #9fa2ac, inset -7px -7px 15px #d7dce8;
}

.screen {
    padding-right: 7px;
    padding-top: 7px;
    width: 100%;
    height: 70%;
    color: #303841;
    font-size: 2rem;
    box-sizing: border-box;
    text-align: right;
    overflow-y: hidden;
    overflow-x: auto;
}

/*Define for Screen X axis Scroll bar */
.screen::-webkit-scrollbar {
    height: 2px;
}

.history{
    padding: 10px 7px 0 0;
    width: 100%;
    height: 30%;
    font-size: 1rem;
    color: #303841;
    box-sizing: border-box;
    text-align: right;
    opacity: 0.5;
}

.btn_wrap{
    width: 20rem;
    height: 22rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

.btn{
    all: unset;
    width: 3.5rem;
    height: 3.5rem;
    font-size: 1.3rem;
    color: #303841;
    border-radius: 50%;
    background: #E8E8E8;
    box-shadow: 5px 5px 10px #cfcfce, -5px -5px 10px #ffffff;
    display: grid;
    place-content: center;
    cursor: pointer;
}

.btn:nth-child(19){
    width: 8rem;
    border-radius: 4rem;
}

.btn:nth-child(3), .btn:nth-child(4), .btn:nth-child(8), .btn:nth-child(12), .btn:nth-child(16){
    background: #8d8f92;
}

.btn.btn:nth-child(2), .btn:nth-child(19) {
    background: #fb7358;
}

.btn:nth-child(1){
    background: #fe5f5f;
}

.btn:nth-child(1):active{
    background: #fb1717;
}

.footer p {
    color: #ffffff;
    display: flex;
    font-family: sans-serif;
}